%define ver     2.1.0

Summary: LSB Library checker
Name: lsb-libchk
Version: %ver
Release: 1
Copyright: Modified Artistic
Group: Development/Tools
Source: lsb-libchk-%ver.tar.gz
BuildRoot: /var/tmp/lsb-libchk-root
AutoReqProv: no
%ifarch i386 i486 i585 i686 athlon
PreReq: lsb-core-ia32 >= 2.0
%endif
%ifarch ia64
PreReq: lsb-core-ia64 >= 2.0
%endif
%ifarch ppc
PreReq: lsb-core-ppc32 >= 2.0
%endif
%ifarch ppc64
PreReq: lsb-core-ppc64 >= 2.0
%endif
%ifarch s390
PreReq: lsb-core-s390 >= 2.0
%endif
%ifarch s390x
PreReq: lsb-core-s390x >= 2.0
%endif
%ifarch x86_64
PreReq: lsb-core-amd64 >= 2.0
%endif

%description

lsblibchk is a program which looks for LSB libraries and checks that
those libraries contain the symbols required by the specification.  If
it is required that the symbol be versioned it checks that the symbol
with the correct version exists in the library. This program can be
used for checking either the runtime LSB environment or the LSB build
environment.

%prep
%setup -q

%build
CC=/opt/lsb/bin/lsbcc CXX=/opt/lsb/bin/lsbc++ make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk
cp README Artistic Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb

%changelog
* Tue Jan 06 2004 Marvin Heffler <heffler@us.ibm.com>
- Package everything in /opt/lsb instead of listing items individually

* Tue Aug 26 2003 Christopher Yeoh <cyeoh@samba.org>
- Adds packaging of libchk and dummy_link

* Wed Jul 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Adds lsblibchk.1 manpage to package

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Mon Jan 7 2002 Christopher Yeoh <cyeoh@samba.org>
- Fixes licence notice
- Update for latest lsblibchk

* Wed Dec 19 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

